Bug 27726 - UNIX Console semantics not available on Win32 in Cygwin
Summary: UNIX Console semantics not available on Win32 in Cygwin
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks: 27597
  Show dependency tree
 
Reported: 2015-03-06 06:06 UTC by Jo Shields
Modified: 2018-04-05 19:44 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Jo Shields 2015-03-06 06:06:58 UTC
Mono has a UNIX console driver, and a Win32 console driver. It's selected at compile time, so on a Windows build, only the Win32 console driver is available.

Several methods in System.Console return bad values if executing in Cygwin (which has a "real" UNIX console, with a tty and everything, not a Win32 console). For example, Console.WindowWidth returns 0, which prevents csharp REPL from running in Mono in Cygwin.
Comment 1 Ludovic Henry 2018-02-28 23:55:12 UTC
Jo, is that still the case today? If so, could you please come up with a test case, and an expected vs observed behavior. Thank you.
Comment 2 Ludovic Henry 2018-04-05 19:44:23 UTC
Please reopen if you can still reproduce. Thank you